import { ViewProps } from 'react-native';
export { default as PortalView } from './PortalView';
export interface Message {
    subscriptionRef: number;
    data: any;
    topic: string;
}
export declare const subscribe: (topic: string, onMessageReceived: (message: Message) => void) => Promise<number>;
export declare const unsubscribe: (topic: string, subRef: number) => void;
export declare const publish: (topic: string, data: any) => void;
export declare const register: (key: string) => void;
export interface Portal {
    name: string;
    startDir?: string;
    initialContext?: any;
}
export declare type PortalProps = Pick<Portal, 'name' | 'initialContext'> & ViewProps;
export declare const addPortal: (portal: Portal) => void;
